#!/bin/bash
set -eu


## Constants
#
VER="7.67.0"
#VER="7.73.0" # Uncomment and recommit after external packages repository is back up

## Environment
#
export MACOSX_DEPLOYMENT_TARGET="10.5" # Allows fall back to older API (source: https://curl.se/docs/install.html)

# Download source
$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/curl-${VER}.tar.gz" "curl-${VER}.tar.gz"

# Unpack source
tar -zxvf curl-$VER.tar.gz

# Cleanup
rm -rf install src
mkdir install src

# Move source to 'src' directory
mv curl-$VER/* src
rm -rf curl-$VER

# Configure
cd src
./configure \
	--prefix="${ISSM_DIR}/externalpackages/curl/install" \
	--disable-shared \
	--disable-dependency-tracking \
	--disable-manual \
	--disable-verbose \
	--with-secure-transport

# Compile and install
if [ $# -eq 0 ]; then
	make
	make install
else
	make -j $1
	make -j $1 install
fi
